
const wx = require('jweixin-module');
const wxShare = (config, data, callback, errCallback) => {
	
	let [appId, timestamp, nonceStr, signature] = [config.appId, String(config.timestamp), config.nonceStr, config.signature]
	
	wx.config({
	    debug: true, 
	    appId, // 必填，公众号的唯一标识
	    timestamp, // 必填，生成签名的时间戳
	    nonceStr, // 必填，生成签名的随机串
	    signature, // 必填，签名，见附录1
	    jsApiList: [
			'updateAppMessageShareData',
			'updateTimelineShareData',
			'showOptionMenu'
		] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
	});
	
	wx.ready(function() {
		
		wx.showOptionMenu();
	
		wx.updateAppMessageShareData({
			title: share.title, // 分享标题
			desc: share.desc, // 分享描述
			link: share.link, // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
			imgUrl: share.imgUrl, // 分享图标
			success: function () {
				alert('分享成功')
			  // 设置成功
			}
		})
		
		wx.updateTimelineShareData({ 
		    title: share.title, // 分享标题
		    link: share.link, // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
		    imgUrl: share.imgUrl, // 分享图标
		    ssuccess: function () {
		      // 设置成功
		    }
		})
	});
	
	wx.error(function(res) {
		console.log(res)
	});
}

export default wxShare;